Summary:	curses utf-8 terminal control library
Name:		ncurses
Version:	5.5
Release:	4
License:	Distributable
Group:		Libraries
Source0:	ftp://dickey.his.com/ncurses/%{name}-%{version}.tar.gz
BuildRequires:	sharutils sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc
%define		_includedir	%{_prefix}/include/ncurses

%description
The curses library routines give the user a terminal-independent
method of updating character screens with reasonable optimization.
This implementation is ``new curses'' (ncurses) and is the approved
replacement for 4.4BSD classic curses, which is being discontinued.

%package 	devel
Summary:	Header files for develop ncurses utf-8 based application
Group:		Development

%description 	devel
This package includes the header files and libraries necessary to
develop applications that use ncurses.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$CFLAGS -DPURE_TERMINFO"

mkdir -p orig utf8
cd orig
ln -s ../configure .
%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-ospeed=unsigned \
	--enable-hard-tabs \
	--enable-xmc-glitch \
	--enable-sigwinch \
	--enable-colorfgbg \
	--disable-widec \
	--with-normal \
	--with-shared \
	--with-cxx \
	--without-ada \
	--without-profile \
	--without-debug \
	--with-termlib \
	--enable-safe-sprintf \
	--disable-nls \
	--without-included-gettext \
	--with-manpage-format=normal

%{__make}

cd ../utf8
ln -s ../configure .
%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-ospeed=unsigned \
	--enable-hard-tabs \
	--enable-xmc-glitch \
	--enable-sigwinch \
	--enable-colorfgbg \
	--enable-widec \
	--with-normal \
	--with-shared \
	--with-cxx \
	--without-ada \
	--without-profile \
	--without-debug \
	--with-termlib \
	--enable-safe-sprintf \
	--disable-nls \
	--without-included-gettext \
	--with-manpage-format=normal

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
cd orig
%{__make} DESTDIR=$RPM_BUILD_ROOT install
cd ../utf8
%{__make} DESTDIR=$RPM_BUILD_ROOT install

mv -f $RPM_BUILD_ROOT%{_libdir}/libtinfow.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libncursesw.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libcursesw.so $RPM_BUILD_ROOT/lib
ln -sf libncursesw.so.5 $RPM_BUILD_ROOT/lib/libncursesw.so.4
ln -sf /usr/include/ncurses/curses.h $RPM_BUILD_ROOT/usr/include/curses.h
ln -sf /usr/include/ncurses/ncurses.h $RPM_BUILD_ROOT/usr/include/ncurses.h
ln -sf /usr/include/ncurses/menu.h $RPM_BUILD_ROOT/usr/include/menu.h
ln -sf /usr/include/ncurses/form.h $RPM_BUILD_ROOT/usr/include/form.h

mv -f $RPM_BUILD_ROOT%{_libdir}/libtinfo.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libncurses.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libcurses.so $RPM_BUILD_ROOT/lib
ln -sf libncurses.so.5 $RPM_BUILD_ROOT/lib/libncurses.so.4
ln -sf ncurses $RPM_BUILD_ROOT/usr/include/ncursesw

cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../lib/* .
chmod 755 $RPM_BUILD_ROOT/lib/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/*so*
cd $RPM_BUILD_ROOT/usr/share/terminfo/x; mv xterm xterm.orig; ln -sf xterm-new xterm
rm $RPM_BUILD_ROOT/usr/man/man1/reset.1; cp $RPM_BUILD_ROOT/usr/man/man1/tset.1 $RPM_BUILD_ROOT/usr/man/man1/reset.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/lib/*.so*
/usr/lib/*.so*
/usr/lib/terminfo
/usr/man/man1
/usr/man/man5
/usr/man/man7
/usr/share

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include
